# Uses of Enum Class
org.opensaml.saml.metadata.resolver.impl.TemplateRequestURLBuilder.EncodingStyle

Packages that use TemplateRequestURLBuilder.EncodingStyle
Package
Description
org.opensaml.saml.metadata.resolver.impl
Classes for retrieving, filtering, and querying metadata.

## Uses of TemplateRequestURLBuilder.EncodingStyle in org.opensaml.saml.metadata.resolver.impl

Fields in org.opensaml.saml.metadata.resolver.impl declared as TemplateRequestURLBuilder.EncodingStyle
Modifier and Type
Field
Description
`private TemplateRequestURLBuilder.EncodingStyle`
TemplateRequestURLBuilder.`entityIDEncodingStyle`
Enum value indicating whether and how to encode the entity ID value before substitution.
Methods in org.opensaml.saml.metadata.resolver.impl that return TemplateRequestURLBuilder.EncodingStyle
Modifier and Type
Method
Description
`static TemplateRequestURLBuilder.EncodingStyle`
TemplateRequestURLBuilder.EncodingStyle.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TemplateRequestURLBuilder.EncodingStyle[]`
TemplateRequestURLBuilder.EncodingStyle.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.opensaml.saml.metadata.resolver.impl with parameters of type TemplateRequestURLBuilder.EncodingStyle
Modifier
Constructor
Description
``
`TemplateRequestURLBuilder(org.apache.velocity.app.VelocityEngine engine, String templateString, TemplateRequestURLBuilder.EncodingStyle encodingStyle)`
Constructor.
``
`TemplateRequestURLBuilder(org.apache.velocity.app.VelocityEngine engine, String templateString, TemplateRequestURLBuilder.EncodingStyle encodingStyle, Function<String,String> transform)`
Constructor.
``
`TemplateRequestURLBuilder(org.apache.velocity.app.VelocityEngine engine, String templateString, TemplateRequestURLBuilder.EncodingStyle encodingStyle, Function<String,String> transform, Charset charSet)`
Constructor.